### Method

# Gtk Filterchanged

#### Declaration [src]

    void
    gtk_filter_changed (
      GtkFilter* self,
      GtkFilterChange change
    )

#### Description [src]

Notifies all users of the filter that it has changed.

This emits the `GtkFilter::changed` signal. Users of the filter should then check items again via `gtk_filter_match()`.

Depending on the `change` parameter, not all items need to be changed, but only some. Refer to the `GtkFilterChange` documentation for details.

This function is intended for implementers of `GtkFilter` subclasses and should not be called from other functions.

#### Parameters

`change`

  Type: `GtkFilterChange`

  How the filter changed.